c
c
c  This program computes estimates of T-year floods
c   for ungaged sites in Alaska based on the 
c   report " Estimating the Magnitude and Frequency
c   of Peak Streamflows for Ungaged Sites on Streams
c   in Alaska and Conterminous Basins in Canada" 
c   WRIR 03-4188.
c
c   Main program calls subroutines (REGx) to make computations
c     for each region
c
      CHARACTER*32 Site, Outfil
      COMMON /SS    / Site
      INTEGER region
      CHARACTER*1 xansw
      include 'split.cmn'
      write(*,9797)
      PRINT *, ' ENTER name for output file: '
      READ (*,9005)outfil
      OPEN (16,file=outfil)
      Write(16,9797)
 9797 format(' This program computes estimates of T-year floods',/,
     &  ' for ungaged sites in Alaska based on the ',/,
     &  ' report "Estimating the Magnitude and Frequency of Peak ',/,
     &  ' Streamflows for Ungaged Sites on Streams in Alaska and ',/,
     &  ' Conterminous Basins in Canada", WRIR 03-4188',/,
     &  ' See the above publication for equations',/,
     &  '* No warranty, expressed or implied, is made by the',/,
     &  '* USGS as to the accuracy and functioning of the ',/,
     &  '* program and related program material.',/,
     &  '  VERSION 10/04/03 ',/,
     &  ' ++++++++++++++++++++++++++++++++++++++++++++++++++')
   10 CONTINUE
c initialize X  
      area=-99.
      lake=-99.
      fore=-99.
      prec=-99.
      elev=-99.
      janm=-99.
      PRINT *, ' ENTER site id (up to 32 characters): '
      READ (*,9005) Site
      print *, ' Is drainage area for site in one streamflow'
      print *, ' analysis region or two?'
      print *, ' ENTER 1 or 2: '
      read (*,*) isplit
      if (isplit.eq.2.)then
        PRINT *, ' ENTER first streamflow region in which'
        PRINT *, ' site is located.(1,2,3,4,5,6,7): '
        read(*,*) ireg
        if(ireg.gt.7.or.ireg.lt.1)then
          print *, ' Incorrect region number'
          print *, ' Enter integer from 1 to 7'
          read(*,*)ireg
        if(ireg.gt.7.or.ireg.lt.1)STOP
        end if
        jreg(1)=ireg
        PRINT *, ' ENTER percent of total basin in first'
        PRINT *, ' streamflow region: Percent = '
        read(*,*) psplit
        qsplit=100.0 - psplit
        xsplit=psplit/100.0
        zsplit=1.0-xsplit
        PRINT *, ' ENTER second streamflow region in which'
        PRINT *, ' site is located.'
        PRINT *, ' (1,2,3,4,5,6,7): '
        read(*,*) ireg2
        if(ireg2.gt.7.or.ireg2.lt.1)then
          print *, ' Incorrect region number'
          print *, ' Enter integer from 1 to 7'
          read(*,*)ireg2
        if(ireg2.gt.7.or.ireg2.lt.1)STOP
        end if
        jreg(2)=ireg2
        write(*,9011)site,jreg(1),psplit,jreg(2),qsplit
        write(16,9011)site,jreg(1),psplit,jreg(2),qsplit
 9011 FORMAT (//,' Flood frequency estimates for ',/,
     &  ' Site: ',a32,/,
     & ' Streamflow region ',i2,' (',f4.1,'%)',
     & ' Streamflow region ',i2,' (',f4.1,'%)')
        IF (ireg.EQ.1.or.ireg.eq.3)CALL REG13(1,0)
        IF (ireg.EQ.2)CALL REG2(1,0)
        IF (ireg.EQ.4)CALL REG4(1,0)
        IF (ireg.EQ.5)CALL REG5(1,0)
        IF (ireg.EQ.6)CALL REG6(1,0)
        IF (ireg.EQ.7)CALL REG7(1,0)
        IF (ireg2.EQ.1.or.ireg2.eq.3)then
          CALL REG13(2,0)
          call regout
          if(ireg.eq.2)call reg2(1,1)
          if(ireg.eq.4)call reg4(1,1)
          if(ireg.eq.5)call reg5(1,1)
          if(ireg.eq.6)call reg6(1,1)
          if(ireg.eq.7)call reg7(1,1)
          call reg13(2,1)
        END IF
        IF (ireg2.EQ.2)then
          CALL REG2(2,0)
          call regout
          if(ireg.eq.1.or.ireg.eq.3)call reg13(1,1)
          if(ireg.eq.4)call reg4(1,1)
          if(ireg.eq.5)call reg5(1,1)
          if(ireg.eq.6)call reg6(1,1)
          if(ireg.eq.7)call reg7(1,1)
          call reg2(2,1)
        END IF
        IF (ireg2.EQ.4)then
          CALL REG4(2,0)
          call regout
          if(ireg.eq.1.or.ireg.eq.3)call reg13(1,1)
          if(ireg.eq.2)call reg2(1,1)
          if(ireg.eq.5)call reg5(1,1)
          if(ireg.eq.6)call reg6(1,1)
          if(ireg.eq.7)call reg7(1,1)
          call reg4(2,1)
        END IF
        IF (ireg2.EQ.5)then
          CALL REG5(2,0)
          call regout
          if(ireg.eq.1.or.ireg.eq.3)call reg13(1,1)
          if(ireg.eq.2)call reg2(1,1)
          if(ireg.eq.4)call reg4(1,1)
          if(ireg.eq.6)call reg6(1,1)
          if(ireg.eq.7)call reg7(1,1)
          call reg5(2,1)
        END IF
        IF (ireg2.EQ.6)then
          CALL REG6(2,0)
          call regout
          if(ireg.eq.1.or.ireg.eq.3)call reg13(1,1)
          if(ireg.eq.2)call reg2(1,1)
          if(ireg.eq.4)call reg4(1,1)
          if(ireg.eq.5)call reg5(1,1)
          if(ireg.eq.7)call reg7(1,1)
          call reg6(2,1)
        END IF
        IF (ireg2.EQ.7)then
          CALL REG7(2,0)
          call regout
          if(ireg.eq.1.or.ireg.eq.3)call reg13(1,1)
          if(ireg.eq.2)call reg2(1,1)
          if(ireg.eq.4)call reg4(1,1)
          if(ireg.eq.5)call reg5(1,1)
          if(ireg.eq.6)call reg6(1,1)
          call reg7(2,1)
        END IF
      else
      PRINT *, ' ENTER streamflow region where site is located',
     &' (1,2,3,4,5,6,7): '      
      READ (*,*) region
      IF (region.EQ.1.OR.region.EQ.3)then
       CALL REG13(0,0)
      END IF
      IF (region.EQ.2)then
       CALL REG2(0,0)
      END IF
      IF (region.EQ.4)then
       CALL REG4(0,0)
      END IF
      IF (region.EQ.5)then
       CALL REG5(0,0)
      END IF
      IF (region.EQ.6)then
       CALL REG6(0,0)
      END IF
      IF (region.EQ.7)then
       CALL REG7(0,0)
      END IF
      end if
      PRINT *, ' Do you want to enter another site? (y or n)'
      READ (*,*) xansw
      IF (xansw.EQ.'N' .OR. xansw.EQ.'n') STOP  
      GOTO 10
 9005 FORMAT (a32)
      END
c
      SUBROUTINE ROUND(X)
      REAL div, test, X
      INTEGER i, ix
c
c Subroutine rounds peaks to three significant figures
c for writing in table.
c
      DO 10 i = 3, 8
        test = 10**i
        div = 10**(i-2)
        IF (X.GT.test) THEN
          X = X/div
          ix = X + .5
          X = div*ix
        ENDIF
   10 CONTINUE
      RETURN
      END
c
      SUBROUTINE MLTPLY(PROD,X,Y,K1,K2,K3,N1,N2,N3)
c     IMPLICIT REAL*8 (A-H,O-Z)
      INTEGER i, j, k, K1, K2, K3, N1, N2, N3
      REAL PROD(N1,K3), X(N2,K2), Y(N3,K3), sum
C --------------------------------------------------------------
C  X IS K1*K2 MATRIX
C  Y IS K2*K3 MATRIX
C  PROD = X*Y IS A K1*K3 MATRIX
C --------------------------------------------------------------
      DO 30 i = 1, K1
        DO 20 k = 1, K3
          sum = 0.
          DO 10 j = 1, K2
            sum = sum + X(i,j)*Y(j,k)
   10     CONTINUE
           PROD(i,k) = sum
   20   CONTINUE
   30 CONTINUE
      RETURN
      END
c
      SUBROUTINE EYEARS(sig,zp,skew,vpi,eqyrs)
      REAL sig, zp, skew, vpi, whkp, hard, eqyrs
c
c compute equivalent years
c
c Wilson-Hilferty approximation (Hanbook of Hydrology, eqn 18.2.29)
        whkp=(2./skew)*(1.+(skew*zp/6.0)-skew**2/36.)**3
     &      -2.0/skew
c Hanbook of hydrology eqn 18.4.11
        hard=1.0+skew*whkp+0.5*(1.+.75*skew**2)*whkp**2
        eqyrs = sig**2*(hard)/vpi
      RETURN
      END
      subroutine regout
c 
c subroutine prints out weighted results when estimating
c  at a site whose basin is contained in two regions
c
      include 'split.cmn'
      CHARACTER*32 Site
      COMMON /SS    / Site
      integer it
      real skw,skw1,skw2,ak,skew
      dimension skw(6),ak(8) 
      dimension it(8)
      data stut/1.66/
      DATA it/2, 5, 10, 25, 50, 100, 200, 500/
      DATA ak/0.0, 0.84162, 1.28155, 1.75069, 2.05375, 2.32635,
     & 2.57583, 2.87816/
      data skw/0.16,0.31,0.60,0.48,0.78,-0.52/
      write(*,9011)area,lake
      write(16,9011)area,lake
      if(fore.gt.-90.)then
        write(*,9013)fore
        write(16,9013)fore
      end if
      if(prec.gt.-90.)then
        write(*,9014)prec
        write(16,9014)prec
      end if
      if(elev.gt.-90.)then
        write(*,9015)elev
        write(16,9015)elev
      end if
      if(janm.gt.-90.)then
        write(*,9016)janm
        write(16,9016)janm
      end if
      write(*,9012)
      write(16,9012)
      sig=sigma(1)*xsplit+sigma(2)*zsplit
      do 20 kregion=1,6
        if(jreg(1).eq.1.or.jreg(1).eq.3)skw1=skw(1)
        if(jreg(2).eq.1.or.jreg(2).eq.3)skw2=skw(1)
        if(jreg(1).eq.2)skw1=skw(2)
        if(jreg(2).eq.2)skw2=skw(2)
        if(jreg(1).eq.4)skw1=skw(3)
        if(jreg(2).eq.4)skw2=skw(3)
        if(jreg(1).eq.5)skw1=skw(4)
        if(jreg(2).eq.5)skw2=skw(4)
        if(jreg(1).eq.6)skw1=skw(5)
        if(jreg(2).eq.6)skw2=skw(5)
        if(jreg(1).eq.7)skw1=skw(6)
        if(jreg(2).eq.7)skw2=skw(6)
   20 continue
      skew=skw1*xsplit+skw2*zsplit
      do 30 ip=1,8
        yhat=10**(qhat(ip,1)*xsplit+qhat(ip,2)*zsplit)
        vpi=vp(ip,1)*xsplit+vp(ip,2)*zsplit
      call eyears(sig,ak(ip),skew,vpi,eqyrs)
        sei=sqrt(vpi)
         semnus = 100.*(1.0/10**(sei)-1.0)
         seplus = 100.*(10**(sei) -1.0)
           t = 10**(stut*sei)
           cu = yhat*t
           cl = yhat/t
       call round(yhat)
       call round(cl)
       call round(cu)
       WRITE (16,9020) it(ip), yhat, seplus,semnus,  cl, cu,eqyrs
       WRITE (*,9020) it(ip), yhat, seplus,semnus,  cl, cu,eqyrs
 9020 FORMAT (2x,i4,f12.0,f12.1,f12.1,f12.0,f12.0,f10.1)
   30 CONTINUE
 9011 FORMAT (
     &' Explanatory Variables:',/,
     &  '  Drainage area, in square miles: ',t55,f12.2,/,
     &  '  Percent of area in lakes and ponds: ',t55,f12.1)  
 9012 FORMAT(/, 
     &        '    T     DISCHARGE    SE (+%)     SE(-%)     CON',
     &        'FIDENCE LIMITS   EQ. YEARS',/,t12,' (cfs)',t50,'5%',
     &        t61,'95%')
 9013 FORMAT ('  Percent forest cover: ',t55,f12.1)
 9014 FORMAT ('  Mean annual precip, in inches: ',t55,f12.1)
 9015 FORMAT ('  Basin elevation, in feet: ',t55,f12.0)
 9016 FORMAT ('  Mean min January temp., degrees F: ',t55,f12.1)
      return 
      end
c
      SUBROUTINE REG13(k,jwarn)
c
c subroutine makes computations for region1, region 3
c  and outputs results if basin is all in one region
c  or passes results to regout if basin is in two regions
c
      REAL amn,amx,lmn,lmx,pmn,pmx,jmn,jmx
      INTEGER i, ip, jwarn, j, k
      include 'split.cmn'
      CHARACTER*32 Site
      COMMON /SS    / Site
      INTEGER it
      REAL bs, v, vt, xtxi, temp, temp2, stut,  vmodel,
     &     yhat, t, cu, cl, vpi,  xt1, xt2, ak,
     &     seplus,semnus,sei
c
      DIMENSION it(8), bs(5,8), v(1,5), vt(5,1), xt1(5,5,4), xtxi(5,5),
     &          temp(1,5), temp2(1,1), ak(8), vmodel(8), 
     &          xt2(5,5,4)
c
      DATA stut/1.66/
      DATA it/2, 5, 10, 25, 50, 100, 200, 500/
c
      DATA amn/0.72/, amx/571./
      DATA lmn/0.0/, lmx/26.0/
      DATA pmn/70.0/,pmx/300.0/
      DATA jmn/0.0/,jmx/32.0/
      DATA skew/0.16/
c
      DATA ak/0.0, 0.84162, 1.28155, 1.75069, 2.05375, 2.32635, 
     & 2.57583, 2.87816/
c
      DATA bs/         
     & -2.38521,0.83610,-0.35900,0.91100,1.63500,              
     & -2.04460,0.83220,-0.36700,0.81280,1.64000,
     & -1.83863,0.83060,-0.36910,0.76550,1.62200,
     & -1.59825,0.82920,-0.36970,0.71650,1.58800,
     & -1.43051,0.82860,-0.36930,0.68470,1.55900,
     & -1.27051,0.82810,-0.36830,0.65560,1.52700,
     & -1.11588,0.82760,-0.36690,0.62840,1.49500,
     & -0.91757,0.82720,-0.36460,0.59480,1.44900/
c
      DATA vmodel/0.23519E-01,0.22760E-01,0.22997E-01,0.24088E-01,
     &            0.25427E-01,0.27161E-01,0.29258E-01,0.32547E-01/    
c
      DATA xt1/  
     & 0.27768    ,-0.47425E-02, 0.79807E-02,-0.24493E-01,-0.12887,
     &-0.47425E-02, 0.89854E-03,-0.17202E-03, 0.10338E-03, 0.20427E-02,
     & 0.79807E-02,-0.17202E-03, 0.17719E-02,-0.19553E-02,-0.25456E-02,
     &-0.24493E-01, 0.10338E-03,-0.19553E-02, 0.16404E-01,-0.55337E-02,
     &-0.12887    , 0.20427E-02,-0.25456E-02,-0.55337E-02, 0.80433E-01,
     & 0.28307    ,-0.47569E-02, 0.77244E-02,-0.24510E-01,-0.13186,
     &-0.47569E-02, 0.89280E-03,-0.17631E-03, 0.12303E-03, 0.20296E-02,
     & 0.77244E-02,-0.17631E-03, 0.17658E-02,-0.19304E-02,-0.24087E-02,
     &-0.24510E-01, 0.12303E-03,-0.19304E-02, 0.16297E-01,-0.54072E-02,
     &-0.13186    , 0.20296E-02,-0.24087E-02,-0.54072E-02, 0.81970E-01,
     & 0.30423    ,-0.49977E-02, 0.79269E-02,-0.25488E-01,-0.14274,
     &-0.49977E-02, 0.93011E-03,-0.18511E-03, 0.14074E-03, 0.21225E-02,
     & 0.79269E-02,-0.18511E-03, 0.18437E-02,-0.19878E-02,-0.24691E-02,
     &-0.25488E-01, 0.14074E-03,-0.19878E-02, 0.17010E-01,-0.57167E-02,
     &-0.14274    , 0.21225E-02,-0.24691E-02,-0.57167E-02, 0.88583E-01,
     & 0.34383    ,-0.54806E-02, 0.84980E-02,-0.27663E-01,-0.16272,
     &-0.54806E-02, 0.10123E-02,-0.20365E-03, 0.16998E-03, 0.23124E-02,
     & 0.84980E-02,-0.20365E-03, 0.20127E-02,-0.21364E-02,-0.26455E-02,
     &-0.27663E-01, 0.16998E-03,-0.21364E-02, 0.18572E-01,-0.63592E-02,
     &-0.16272    , 0.23124E-02,-0.26455E-02,-0.63592E-02, 0.10082/
      DATA xt2/    
     & 0.38092    ,-0.59502E-02, 0.91226E-02,-0.29879E-01,-0.18122,
     &-0.59502E-02, 0.10952E-02,-0.22217E-03, 0.19541E-03, 0.24992E-02,
     & 0.91226E-02,-0.22217E-03, 0.21822E-02,-0.22960E-02,-0.28391E-02,
     &-0.29879E-01, 0.19541E-03,-0.22960E-02, 0.20139E-01,-0.69779E-02,
     &-0.18122    , 0.24992E-02,-0.28391E-02,-0.69779E-02, 0.11219,
     & 0.42335    ,-0.64992E-02, 0.98921E-02,-0.32533E-01,-0.20224,
     &-0.64992E-02, 0.11937E-02,-0.24414E-03, 0.22330E-03, 0.27192E-02,
     & 0.98921E-02,-0.24414E-03, 0.23831E-02,-0.24915E-02,-0.30774E-02,
     &-0.32533E-01, 0.22330E-03,-0.24915E-02, 0.21997E-01,-0.76916E-02,
     &-0.20224    , 0.27192E-02,-0.30774E-02,-0.76916E-02, 0.12511,
     & 0.47065    ,-0.71213E-02, 0.10793E-01,-0.35590E-01,-0.22556,
     &-0.71213E-02, 0.13065E-02,-0.26929E-03, 0.25348E-03, 0.29696E-02,
     & 0.10793E-01,-0.26929E-03, 0.26128E-02,-0.27200E-02,-0.33560E-02,
     &-0.35590E-01, 0.25348E-03,-0.27200E-02, 0.24118E-01,-0.84897E-02,
     &-0.22556    , 0.29696E-02,-0.33560E-02,-0.84897E-02, 0.13945,
     & 0.54013    ,-0.80479E-02, 0.12171E-01,-0.40206E-01,-0.25966,
     &-0.80479E-02, 0.14759E-02,-0.30712E-03, 0.29672E-03, 0.33441E-02,
     & 0.12171E-01,-0.30712E-03, 0.29578E-02,-0.30689E-02,-0.37810E-02,
     &-0.40206E-01, 0.29672E-03,-0.30689E-02, 0.27299E-01,-0.96624E-02,
     &-0.25966    , 0.33441E-02,-0.37810E-02,-0.96624E-02, 0.16041/
c xxxxx 
c When jwarn is 1, only write out warnings
        if(jwarn.eq.1)then
          IF (area.gt.571.or.area.lt.0.71)then
            WRITE (*,9101)amn,amx
            WRITE (16,9101)amn,amx
          END IF
          IF (lake.gt.26.or.lake.lt.0.0)then
            WRITE (*,9102)lmn,lmx
            WRITE (16,9102)lmn,lmx
          END IF
          IF (prec.gt.300.or.prec.lt.70.0)then
            WRITE (*,9103)pmn,pmx
            WRITE (16,9103)pmn,pmx
          END IF
          IF (janm.gt.32.0.or.janm.lt.0.0)then
            WRITE (*,9104)jmn,jmx
            WRITE (16,9104)jmn,jmx
          END IF
        return
        end if
c
        if (k.eq.0)then
c yyyyy
        PRINT *, ' ENTER watershed characteristics for site'
        PRINT *, ' Drainage area (sq. mi.) = '
        READ (*,*) area
        PRINT *, ' Percent of area in Lakes and Ponds = '
        READ (*,*) lake
        PRINT *, ' Mean Annual Precipitation (in.) = '
        READ (*,*) prec
        PRINT *, ' Mean minimum January temperature (F) = '
        READ (*,*) janm
       WRITE (*,9010) Site, area,lake,prec,janm
       WRITE (16,9010) Site, area,lake,prec,janm
c xxxxxx
        end if
        if(k.gt.0)then
          if(area.lt.0.0)then
            PRINT *, ' ENTER Drainage area (sq. mi.) '
            READ (*,*) area
          end if
          if(lake.lt.0.0)then
            PRINT *, ' ENTER Percent of area in Lakes and Ponds '
            READ (*,*) lake
          end if
          if(prec.lt.0.0)then
            PRINT *, ' ENTER Mean Annual Precipitation (in.) '
            READ (*,*) prec
          end if
          if(janm.lt.-90.)then
            PRINT *, ' ENTER Mean minimum January temp. (F) '
            READ (*,*) janm
          end if
        end if
        v(1,1) = 1.0
        v(1,2) = ALOG10(area)
        v(1,3) = ALOG10(lake+1.0)      
        v(1,4) = ALOG10(prec)
        v(1,5) = ALOG10(janm+32.0)
        vt(1,1) = 1.0
        vt(2,1) = v(1,2)
        vt(3,1) = v(1,3)
        vt(4,1) = v(1,4)
        vt(5,1) = v(1,5)
c        iwarn = 0
        DO 30 ip = 1,8
          yhat = bs(1,ip)+bs(2,ip)*v(1,2)+bs(3,ip)*v(1,3) + 
     &        bs(4,ip)*v(1,4)+bs(5,ip)*v(1,5)
c xxxxx
          if(k.gt.0)qhat(ip,k)=yhat
c yyyyy
          yhat = 10**yhat
c
c Compute CI
c
          DO 20 i = 1, 5
            DO 10 j = 1, 5
              IF (ip.LE.4) THEN
                xtxi(i,j) = xt1(i,j,ip)
              ELSE
                xtxi(i,j) = xt2(i,j,ip-4)
              ENDIF
   10     CONTINUE
   20   CONTINUE
          CALL MLTPLY(temp,v,xtxi,1,5,5,1,1,5)
          CALL MLTPLY(temp2,temp,vt,1,5,1,1,1,5) 
          vpi = vmodel(ip) + temp2(1,1)
c Regional estimate of sigma and eq years
        sig=exp(-1.83848 - 0.1860*alog10(lake+1.0))
c xxxxx
        if(k.gt.0)then
          vp(ip,k)=vpi
          sigma(k)=sig
        end if
        if(k.eq.0)then
c yyyyy
        CALL EYEARS(sig,ak(ip),skew,vpi,eqyrs)
c
c         sepc = 100.*SQRT(EXP(vpi*5.302)-1.)
          sei=SQRT(vpi)
          seplus=100.*((10**sei)-1.)
          semnus=100.*((1.0/10**sei)-1.)
          t = 10**(stut*vpi**.5)
          cu = yhat*t
          cl = yhat/t
          CALL ROUND(yhat)
          CALL ROUND(cu)
          CALL ROUND(cl)
          WRITE (16,9020) it(ip), yhat, seplus,semnus,  cl, cu,eqyrs
          WRITE (*,9020) it(ip), yhat, seplus,semnus,  cl, cu,eqyrs
c xxxxxx
        end if
c yyyyyyy
   30 CONTINUE
       if (k.eq.0)then
          IF (area.gt.571.or.area.lt.0.71)then
            WRITE (*,9101)amn,amx
            WRITE (16,9101)amn,amx
          END IF
          IF (lake.gt.26.or.lake.lt.0.0)then
            WRITE (*,9102)lmn,lmx
            WRITE (16,9102)lmn,lmx
          END IF
          IF (prec.gt.300.or.prec.lt.70.0)then
            WRITE (*,9103)pmn,pmx
            WRITE (16,9103)pmn,pmx
          END if
          IF (JANM.gt.32.0.or.JANM.lt.0.0)then
            WRITE (*,9104)jmn,jmx
            WRITE (16,9104)jmn,jmx
          END IF
        end if
 9101 FORMAT(' WARNING - Drainage area out of range of observed data',
     &/,' Range: ' f7.2,' to ',f7.2,' for Region 1, Region 3')
 9102 FORMAT(' WARNING - Lakes+Ponds out of range of observed data',
     &/,' Range: ' f7.2,' to ',f7.2,' for Region 1, Region 3')
 9103 FORMAT(' WARNING - Precipitation out of range of observed data',
     &/,' Range: ' f7.2,' to ',f7.2,' for Region 1, Region 3')
 9104 FORMAT(' WARNING - Jan. min  out of range of observed data', 
     &/,' Range: ' f7.2,' to ',f7.2,' for Region 1, Region 3')
      RETURN
 9010 FORMAT (//,' Flood frequency estimates for',/,' Site: ',a32,/,
     &        ' Region 1 or 3',/,
     & ' Drainage area,in square miles:',t55,f12.2,/,
     & ' Percent of area in lakes and ponds: ',t55,f12.1,/,
     & ' Mean annual precip, in inches: ',t55,f12.1,/,
     & ' Mean min January temp., degrees F: ',t55,f12.1,//,
     &        '    T     DISCHARGE    SE (+%)     SE(-%)     CON',
     &        'FIDENCE LIMITS   EQ. YEARS',/,t12,' (cfs)',t50,'5%',
     &        t61,'95%')
 9020 FORMAT (2x,i4,f12.0,f11.1,f11.1,f12.0,f12.0,f10.1)
        END
      SUBROUTINE REG2(k,jwarn)
c
c subroutine makes computations for region 2
c  and outputs results if basin is all in one region
c  or passes results to regout if basin is in two regions
c 
      REAL amn,amx,lmn,lmx,pmn,pmx
      INTEGER i, ip, jwarn,k, j
      include 'split.cmn'
      CHARACTER*32 Site
      COMMON /SS    / Site
      INTEGER it
      REAL bs, v, vt, xtxi, temp, temp2, stut, vmodel,
     &     yhat, t, cu, cl, vpi,  xt1, xt2, ak,
     &     seplus,semnus,sei
c
      DIMENSION it(8), bs(4,8), v(1,4), vt(4,1), xt1(4,4,4), xtxi(4,4),
     &          temp(1,4), temp2(1,1), ak(8), vmodel(8),
     &          xt2(4,4,4)
c
      DATA stut/1.72/
      DATA it/2, 5, 10, 25, 50, 100, 200, 500/
c
      DATA amn/92.7/, amx/19900./
      DATA lmn/0.0/, lmx/9.0/
      DATA pmn/12.0/,pmx/100.0/
      DATA skew/0.31/
c
      DATA ak/0.0, 0.84162, 1.28155, 1.75069, 2.05375, 2.32635,
     & 2.57583, 2.87816/
c
      DATA bs/
     & -0.12616,0.95800,-0.03292,0.92840,
     &  0.00903,0.94490,-0.03603,0.93590,
     &  0.07335,0.93680,-0.03813,0.95000,
     &  0.13800,0.92740,-0.04074,0.97130,
     &  0.17782,0.92090,-0.04263,0.98870,
     &  0.21165,0.91470,-0.04448,1.00700,
     &  0.24105,0.90860,-0.04629,1.02700,
     &  0.27416,0.90080,-0.04864,1.05600/
c
      DATA vmodel/0.12543E-01,0.11327E-01,0.11873E-01,0.13939E-01,
     & 0.16380E-01,0.19532E-01,0.23384E-01,0.29561E-01/
c
      DATA xt1/
     & 0.42134E-01,-0.49437E-02,-0.87010E-03,-0.17493E-01,
     &-0.49437E-02, 0.11455E-02, 0.62703E-04, 0.93291E-03,
     &-0.87010E-03, 0.62703E-04, 0.98829E-04, 0.32504E-03,
     &-0.17493E-01, 0.93291E-03, 0.32504E-03, 0.99407E-02,
     & 0.40671E-01,-0.47689E-02,-0.81557E-03,-0.16924E-01,
     &-0.47689E-02, 0.10896E-02, 0.57959E-04, 0.92358E-03,
     &-0.81557E-03, 0.57959E-04, 0.90885E-04, 0.30700E-03,
     &-0.16924E-01, 0.92358E-03, 0.30700E-03, 0.96240E-02,
     & 0.44934E-01,-0.52657E-02,-0.88276E-03,-0.18739E-01,
     &-0.52657E-02, 0.11933E-02, 0.62450E-04, 0.10330E-02,
     &-0.88276E-03, 0.62450E-04, 0.96788E-04, 0.33381E-03,
     &-0.18739E-01, 0.10330E-02, 0.33381E-03, 0.10679E-01,
     & 0.55381E-01,-0.64897E-02,-0.10690E-02,-0.23147E-01,
     &-0.64897E-02, 0.14618E-02, 0.75717E-04, 0.12831E-02,
     &-0.10690E-02, 0.75717E-04, 0.11524E-03, 0.40552E-03,
     &-0.23147E-01, 0.12831E-02, 0.40552E-03, 0.13231E-01/
      DATA xt2/
     & 0.66439E-01,-0.77881E-02,-0.12735E-02,-0.27798E-01,
     &-0.77881E-02, 0.17511E-02, 0.90527E-04, 0.15421E-02,
     &-0.12735E-02, 0.90527E-04, 0.13611E-03, 0.48352E-03,
     &-0.27798E-01, 0.15421E-02, 0.48352E-03, 0.15918E-01,
     & 0.80060E-01,-0.93894E-02,-0.15296E-02,-0.33518E-01,
     &-0.93894E-02, 0.21102E-02, 0.10920E-03, 0.18581E-02,
     &-0.15296E-02, 0.10920E-03, 0.16259E-03, 0.58081E-03,
     &-0.33518E-01, 0.18581E-02, 0.58081E-03, 0.19219E-01,
     & 0.96209E-01,-0.11290E-01,-0.18366E-02,-0.40291E-01,
     &-0.11290E-01, 0.25384E-02, 0.13169E-03, 0.22304E-02,
     &-0.18366E-02, 0.13169E-03, 0.19458E-03, 0.69716E-03,
     &-0.40291E-01, 0.22304E-02, 0.69716E-03, 0.23125E-01,
     & 0.12145    ,-0.14264E-01,-0.23211E-02,-0.50866E-01,
     &-0.14264E-01, 0.32109E-02, 0.16732E-03, 0.28088E-02,
     &-0.23211E-02, 0.16732E-03, 0.24537E-03, 0.88035E-03,
     &-0.50866E-01, 0.28088E-02, 0.88035E-03, 0.29221E-01/
c xxxxx
c When jwarn is 1, only write out warnings
c
      if(jwarn.eq.1)then
          IF (area.gt.amx.or.area.lt.amn)then
            WRITE (*,9101)amn,amx
            WRITE (16,9101)amn,amx
          END IF
          IF (lake.gt.lmx.or.lake.lt.lmn)then
            WRITE (*,9102)lmn,lmx
            WRITE (16,9102)lmn,lmx
          END IF
          IF (prec.gt.pmx.or.prec.lt.pmn)then
            WRITE (*,9103)pmn,pmx
            WRITE (16,9103)pmn,pmx
          END IF
          return
      end if
       if (k.eq.0)then
c yyyyy
        PRINT *, ' ENTER watershed characteristics for site'
        PRINT *, ' Drainage area (sq. mi.) = '
        READ (*,*) area
        PRINT *, ' Percent of area in Lakes and Ponds = '
        READ (*,*) lake
        PRINT *, ' Mean annual precipitation (in.) = '
        READ (*,*) prec
       WRITE (*,9010) Site, area,lake,prec
       WRITE (16,9010) Site, area,lake,prec
        end if
c
        if(k.gt.0)then
          if(area.lt.0.0)then
            PRINT *, ' ENTER Drainage area (sq. mi.) '
            READ (*,*) area
          end if
          if(lake.lt.0.0)then
            PRINT *, ' ENTER Percent of area in Lakes and Ponds '
            READ (*,*) lake
          end if
          if(prec.lt.0.0)then
            PRINT *, ' ENTER Mean Annual Precipitation (in.) '
            READ (*,*) prec
          end if
        end if
c yyyyyyy
c      WRITE (*,9010) Site, area,lake,prec
c      WRITE (16,9010) Site, area,lake,prec
        v(1,1) = 1.0
        v(1,2) = ALOG10(area)
        v(1,3) = ALOG10(lake+1.0)
        v(1,4) = ALOG10(prec)
c       v(1,5) = ALOG10(janm+32.0)
        vt(1,1) = 1.0
        vt(2,1) = v(1,2)
        vt(3,1) = v(1,3)
        vt(4,1) = v(1,4)
c       vt(5,1) = v(1,5)
c       iwarn = 0
        DO 30 ip = 1,8
          yhat = bs(1,ip)+bs(2,ip)*v(1,2)+bs(3,ip)*v(1,3) +
     &        bs(4,ip)*v(1,4)
          if(k.gt.0)qhat(ip,k)=yhat
          yhat = 10**yhat
c
c Compute CI
c
          DO 20 i = 1, 4
            DO 10 j = 1, 4
              IF (ip.LE.4) THEN
                xtxi(i,j) = xt1(i,j,ip)

              ELSE
                xtxi(i,j) = xt2(i,j,ip-4)
              ENDIF
   10     CONTINUE
   20   CONTINUE
          CALL MLTPLY(temp,v,xtxi,1,4,4,1,1,4)
          CALL MLTPLY(temp2,temp,vt,1,4,1,1,1,4)
          vpi = vmodel(ip) + temp2(1,1)
c         sepc = 100.*SQRT(EXP(vpi*5.302)-1.)
c Regional estimate of sigma and eq years
        sig=exp(-1.85230 - 0.1183*alog10(area))
c xxxxx
        if(k.gt.0)then
          vp(ip,k)=vpi
          sigma(k)=sig
        end if
        if(k.eq.0)then
c yyyyy

        CALL EYEARS(sig,ak(ip),skew,vpi,eqyrs)
c
          sei=SQRT(vpi)
          seplus=100.*((10**sei)-1.)
          semnus=100.*((1.0/10**sei)-1.)
          t = 10**(stut*vpi**.5)
          cu = yhat*t
          cl = yhat/t
          CALL ROUND(yhat)
          CALL ROUND(cu)
          CALL ROUND(cl)
          WRITE (16,9020) it(ip), yhat, seplus,semnus,  cl, cu,eqyrs
          WRITE (*,9020) it(ip), yhat, seplus,semnus,  cl, cu,eqyrs
c xxxxxx
        end if
c yyyyyyy
   30 CONTINUE
      if(k.eq.0)then
          IF (area.gt.amx.or.area.lt.amn)then
            WRITE (*,9101)amn,amx
            WRITE (16,9101)amn,amx
          END IF
          IF (lake.gt.lmx.or.lake.lt.lmn)then
            WRITE (*,9102)lmn,lmx
            WRITE (16,9102)lmn,lmx
          END IF
          IF (prec.gt.pmx.or.prec.lt.pmn)then
            WRITE (*,9103)pmn,pmx
            WRITE (16,9103)pmn,pmx
          END IF
      end if
 9101 FORMAT(' WARNING - Drainage area out of range of observed data',
     &/,' Range: ' f7.2,' to ',f9.2,' for Region 2')
 9102 FORMAT(' WARNING - Lakes+Ponds out of range of observed data',
     &/,' Range: ' f7.2,' to ',f7.2,' for Region 2')
 9103 FORMAT(' WARNING - Precipitation out of range of observed data',
     &/,' Range: ' f7.2,' to ',f7.2,' for Region 2')
      RETURN
 9010 FORMAT (//,' Flood frequency estimates for',/,' Site: ',a32,/,
     &        ' Region 2',/,
     & ' Drainage area,in square miles:',t55,f12.2,/,
     & ' Percent of area in lakes and ponds: ',t55,f12.1,/,
     & ' Mean annual precip, in inches: ',t55,f12.1,//,
     &        '    T     DISCHARGE    SE (+%)     SE(-%)     CON',
     &        'FIDENCE LIMITS   EQ. YEARS',/,t12,' (cfs)',t50,'5%',
     &        t61,'95%')
 9020 FORMAT (2x,i4,f12.0,f11.1,f11.1,f12.0,f12.0,f10.1)
        END
      SUBROUTINE REG4(k,jwarn)
c
c subroutine makes computations for region 4
c  and outputs results if basin is all in one region
c  or passes results to regout if basin is in two regions
c 
      REAL amn,amx,lmn,lmx,pmn,pmx
      INTEGER i, ip, jwarn,k, j
      CHARACTER*32 Site
      include 'split.cmn'
      COMMON /SS    / Site
      INTEGER it
      REAL bs, v, vt, xtxi, temp, temp2, stut, vmodel,
     &     yhat, t, cu, cl, vpi,  xt1, xt2, ak,
     &     seplus,semnus,sei
c
      DIMENSION it(8), bs(4,8), v(1,4), vt(4,1), xt1(4,4,4), xtxi(4,4),
     &          temp(1,4), temp2(1,1), ak(8), vmodel(8),
     &          xt2(4,4,4)
c
      DATA stut/1.67/
      DATA it/2, 5, 10, 25, 50, 100, 200, 500/
c
      DATA amn/1.07/, amx/19400./
      DATA lmn/0.0/, lmx/28./
      DATA pmn/20.0/,pmx/158.0/
      DATA skew/0.60/
c
      DATA ak/0.0, 0.84162, 1.28155, 1.75069, 2.05375, 2.32635,
     & 2.57583, 2.87816/
c
      DATA bs/
     & -0.59602,0.94620,-0.19810,1.20100,
     & -0.28643,0.90840,-0.21280,1.16200,
     & -0.12814,0.88870,-0.22040,1.14700,
     &  0.03782,0.86860,-0.22730,1.13100,
     &  0.14457,0.85630,-0.23130,1.12000,
     &  0.24005,0.84570,-0.23470,1.10900,
     &  0.32715,0.83630,-0.23770,1.09900,
     &  0.43201,0.82530,-0.24130,1.08800/
c
      DATA vmodel/0.29348E-01,0.24193E-01,0.23181E-01,0.24439E-01,
     &  0.26755E-01,0.29957E-01,0.33919E-01,0.40221E-01/
c
      DATA xt1/
     & 0.30627E-01,-0.51602E-03, 0.10701E-02,-0.18486E-01,
     &-0.51602E-03, 0.49703E-03,-0.33418E-03,-0.22531E-03,
     & 0.10701E-02,-0.33418E-03, 0.30252E-02,-0.11428E-02,
     &-0.18486E-01,-0.22531E-03,-0.11428E-02, 0.12247E-01,
     & 0.28203E-01,-0.38176E-03, 0.79076E-03,-0.17014E-01,
     &-0.38176E-03, 0.44139E-03,-0.28632E-03,-0.27320E-03,
     & 0.79076E-03,-0.28632E-03, 0.27474E-02,-0.97060E-03,
     &-0.17014E-01,-0.27320E-03,-0.97060E-03, 0.11368E-01,
     & 0.29726E-01,-0.32273E-03, 0.72146E-03,-0.17990E-01,
     &-0.32273E-03, 0.45159E-03,-0.28719E-03,-0.34015E-03,
     & 0.72146E-03,-0.28719E-03, 0.28448E-02,-0.96869E-03,
     &-0.17990E-01,-0.34015E-03,-0.96869E-03, 0.12110E-01,
     & 0.34580E-01,-0.28040E-03, 0.74910E-03,-0.21057E-01,
     &-0.28040E-03, 0.50978E-03,-0.32070E-03,-0.45361E-03,
     & 0.74910E-03,-0.32070E-03, 0.32424E-02,-0.10764E-02,
     &-0.21057E-01,-0.45361E-03,-0.10764E-02, 0.14290E-01/
      DATA xt2/
     & 0.39842E-01,-0.26387E-03, 0.82449E-03,-0.24371E-01,
     &-0.26387E-03, 0.57796E-03,-0.36355E-03,-0.55543E-03,
     & 0.82449E-03,-0.36355E-03, 0.36939E-02,-0.12141E-02,
     &-0.24371E-01,-0.55543E-03,-0.12141E-02, 0.16609E-01,
     & 0.46215E-01,-0.25480E-03, 0.93063E-03,-0.28380E-01,
     &-0.25480E-03, 0.66244E-03,-0.41836E-03,-0.67010E-03,
     & 0.93063E-03,-0.41836E-03, 0.42498E-02,-0.13871E-02,
     &-0.28380E-01,-0.67010E-03,-0.13871E-02, 0.19398E-01,
     & 0.53587E-01,-0.25040E-03, 0.10607E-02,-0.33015E-01,
     &-0.25040E-03, 0.76127E-03,-0.48381E-03,-0.79732E-03,
     & 0.10607E-02,-0.48381E-03, 0.48988E-02,-0.15897E-02,
     &-0.33015E-01,-0.79732E-03,-0.15897E-02, 0.22611E-01,
     & 0.64772E-01,-0.24938E-03, 0.12639E-02,-0.40046E-01,
     &-0.24938E-03, 0.91238E-03,-0.58576E-03,-0.98463E-03,
     & 0.12639E-02,-0.58576E-03, 0.58908E-02,-0.18979E-02,
     &-0.40046E-01,-0.98463E-03,-0.18979E-02, 0.27472E-01/
c xxxxx
c When jwarn is 1, only write out warnings
        if(jwarn.eq.1)then             
          IF (area.gt.amx.or.area.lt.amn)then
            WRITE (*,9101)amn,amx
            WRITE (16,9101)amn,amx
          END IF
          IF (lake.gt.lmx.or.lake.lt.lmn)then
            WRITE (*,9102)lmn,lmx
            WRITE (16,9102)lmn,lmx
          END IF
          IF (prec.gt.pmx.or.prec.lt.pmn)then
            WRITE (*,9103)pmn,pmx
            WRITE (16,9103)pmn,pmx
          END IF
          return
        end if
        if (k.eq.0)then
c yyyyy
        PRINT *, ' ENTER watershed characteristics for site'
        PRINT *, ' Drainage area (sq. mi.) = '
        READ (*,*) area
        PRINT *, ' Percent of area in Lakes and Ponds = '
        READ (*,*) lake
        PRINT *, ' Mean Annual Precipitation (in.) = '
        READ (*,*) prec
        WRITE (*,9010) Site, area,lake,prec
        WRITE (16,9010) Site, area,lake,prec
c xxxxxx
        end if
        if(k.gt.0)then
          if(area.lt.0.0)then
            PRINT *, ' ENTER Drainage area (sq. mi.) '
            READ (*,*) area
          end if
          if(lake.lt.0.0)then
            PRINT *, ' ENTER Percent of area in Lakes and Ponds '
            READ (*,*) lake
          end if
          if(prec.lt.0.0)then
            PRINT *, ' ENTER Mean Annual Precipitation (in.) '
            READ (*,*) prec
          end if
        end if
c yyyyyyy

        v(1,1) = 1.0
        v(1,2) = ALOG10(area)
        v(1,3) = ALOG10(lake+1.0)
        v(1,4) = ALOG10(prec)
c       v(1,5) = ALOG10(janm+32.0)
        vt(1,1) = 1.0
        vt(2,1) = v(1,2)
        vt(3,1) = v(1,3)
        vt(4,1) = v(1,4)
c       iwarn = 0
        DO 30 ip = 1,8
          yhat = bs(1,ip)+bs(2,ip)*v(1,2)+bs(3,ip)*v(1,3) +
     &        bs(4,ip)*v(1,4)
c xxxxx
          if(k.gt.0)qhat(ip,k)=yhat
c yyyyy
          yhat = 10**yhat
c
c Compute CI
c
          DO 20 i = 1, 4
            DO 10 j = 1, 4
              IF (ip.LE.4) THEN
                xtxi(i,j) = xt1(i,j,ip)

              ELSE
                xtxi(i,j) = xt2(i,j,ip-4)
              ENDIF
   10     CONTINUE
   20   CONTINUE
          CALL MLTPLY(temp,v,xtxi,1,4,4,1,1,4)
          CALL MLTPLY(temp2,temp,vt,1,4,1,1,1,4)
          vpi = vmodel(ip) + temp2(1,1)
c         sepc = 100.*SQRT(EXP(vpi*5.302)-1.)
c Regional estimate of sigma and eq years
        sig=exp(-1.30288 - 0.24577*alog10(area))
c xxxxx
        if(k.gt.0)then
          vp(ip,k)=vpi
          sigma(k)=sig
        end if
        if(k.eq.0)then
c yyyyy
        CALL EYEARS(sig,ak(ip),skew,vpi,eqyrs)
c
          sei=SQRT(vpi)
          seplus=100.*((10**sei)-1.)
          semnus=100.*((1.0/10**sei)-1.)
          t = 10**(stut*vpi**.5)
          cu = yhat*t
          cl = yhat/t
          CALL ROUND(yhat)
          CALL ROUND(cu)
          CALL ROUND(cl)
          WRITE (16,9020) it(ip), yhat, seplus,semnus,  cl, cu,eqyrs
          WRITE (*,9020) it(ip), yhat, seplus,semnus,  cl, cu,eqyrs
c xxxxxx
        end if
c yyyyyyy
   30 CONTINUE
      if(k.eq.0)then
          IF (area.gt.amx.or.area.lt.amn)then
            WRITE (*,9101)amn,amx
            WRITE (16,9101)amn,amx
          END IF
          IF (lake.gt.lmx.or.lake.lt.lmn)then
            WRITE (*,9102)lmn,lmx
            WRITE (16,9102)lmn,lmx
          END IF
          IF (prec.gt.pmx.or.prec.lt.pmn)then
            WRITE (*,9103)pmn,pmx
            WRITE (16,9103)pmn,pmx
          END IF
      end if
 9101 FORMAT(' WARNING - Drainage area out of range of observed data',
     &/,' Range: ' f7.2,' to ',f8.0,' for Region 4')
 9102 FORMAT(' WARNING - Lakes+Ponds out of range of observed data',
     &/,' Range: ' f7.2,' to ',f7.2,' for Region 4')
 9103 FORMAT(' WARNING - Precipitation out of range of observed data',
     &/,' Range: ' f7.2,' to ',f7.2,' for Region 4')
      RETURN
 9010 FORMAT (//,' Flood frequency estimates for',/,' Site: ',a32,/,
     &        ' Region 4',/,
     & ' Drainage area,in square miles:',t55,f12.2,/,
     & ' Percent of area in lakes and ponds: ',t55,f12.1,/,
     & ' Mean annual precip, in inches: ',t55,f12.1,//,
     &        '    T     DISCHARGE    SE (+%)     SE(-%)     CON',
     &        'FIDENCE LIMITS   EQ. YEARS',/,t12,' (cfs)',t50,'5%',
     &        t61,'95%')
 9020 FORMAT (2x,i4,f12.0,f11.1,f11.1,f12.0,f12.0,f10.1)
        END
c
      SUBROUTINE REG5(k,jwarn)
c
c subroutine makes computations for region 5
c  and outputs results if basin is all in one region
c  or passes results to regout if basin is in two regions
c 
      REAL amn,amx,lmn,lmx,fmn,fmx,emn,emx
      INTEGER i, ip, jwarn,k, j
      CHARACTER*32 Site
      COMMON /SS    / Site
      INTEGER it
      REAL bs, v, vt, xtxi, temp, temp2, stut,  vmodel,
     &     yhat, t, cu, cl, vpi,  xt1, xt2, ak,
     &     seplus,semnus,sei
      include 'split.cmn'
c
      DIMENSION it(8), bs(5,8), v(1,5), vt(5,1), xt1(5,5,4), xtxi(5,5),
     &          temp(1,5), temp2(1,1), ak(8), vmodel(8),
     &          xt2(5,5,4)
c
      DATA stut/1.68/
      DATA it/2, 5, 10, 25, 50, 100, 200, 500/
c
      DATA amn/1.02/, amx/114000./
      DATA lmn/0.0/, lmx/30.0/
      DATA fmn/12.0/,fmx/100.0/
      DATA emn/1200./,emx/4540./
      DATA skew/0.28/
c
      DATA ak/0.0, 0.84162, 1.28155, 1.75069, 2.05375, 2.32635,
     & 2.57583, 2.87816/
c
      DATA vmodel/0.60539E-01,0.48716E-01,0.43116E-01,0.38484E-01,
     &  0.36463E-01,0.35354E-01,0.34936E-01,0.35204E-01/
      DATA bs/
     & 4.13481,1.03200,-0.53910,-0.71540,-0.59700,
     & 5.10037,0.98850,-0.57020,-0.63270,-0.82750,
     & 5.59693,0.96410,-0.58560,-0.57690,-0.94960,
     & 6.09899,0.93840,-0.60040,-0.51280,-1.07500,
     & 6.40106,0.92280,-0.60880,-0.47080,-1.15000,
     & 6.65629,0.90950,-0.61580,-0.43290,-1.21500, 
     & 6.87656,0.89790,-0.62190,-0.39810,-1.27000,
     & 7.12840,0.88460,-0.62920,-0.35540,-1.33500/
c
      DATA xt1/
     &  1.3848    , 0.46255E-02,-0.45679E-01,-0.10564    ,-0.33768,
     & 0.46255E-02, 0.14659E-02,-0.33640E-02,-0.20076E-02,-0.12690E-02,
     &-0.45679E-01,-0.33640E-02, 0.22719E-01, 0.10514E-01, 0.77761E-02,
     &-0.10564    ,-0.20076E-02, 0.10514E-01, 0.45321E-01, 0.74793E-02,
     &-0.33768    ,-0.12690E-02, 0.77761E-02, 0.74793E-02, 0.92360E-01,
     &  1.1461    , 0.33535E-02,-0.38393E-01,-0.85841E-01,-0.27967,
     & 0.33535E-02, 0.12316E-02,-0.26992E-02,-0.16867E-02,-0.94401E-03,
     &-0.38393E-01,-0.26992E-02, 0.18573E-01, 0.85506E-02, 0.66198E-02,
     &-0.85841E-01,-0.16867E-02, 0.85506E-02, 0.37112E-01, 0.60076E-02,
     &-0.27967    ,-0.94401E-03, 0.66198E-02, 0.60076E-02, 0.76454E-01,
     &  1.0475    , 0.26278E-02,-0.35623E-01,-0.77067E-01,-0.25578,
     & 0.26278E-02, 0.11424E-02,-0.23868E-02,-0.15601E-02,-0.76737E-03,
     &-0.35623E-01,-0.23868E-02, 0.16756E-01, 0.76799E-02, 0.62153E-02,
     &-0.77067E-01,-0.15601E-02, 0.76799E-02, 0.33561E-01, 0.53326E-02,
     &-0.25578    ,-0.76737E-03, 0.62153E-02, 0.53326E-02, 0.69884E-01,
     & 0.98160    , 0.19228E-02,-0.34046E-01,-0.70492E-01,-0.23991,
     & 0.19228E-02, 0.10913E-02,-0.21324E-02,-0.14803E-02,-0.60471E-03,
     &-0.34046E-01,-0.21324E-02, 0.15404E-01, 0.70207E-02, 0.60329E-02,
     &-0.70492E-01,-0.14803E-02, 0.70207E-02, 0.30968E-01, 0.48169E-02,
     &-0.23991    ,-0.60471E-03, 0.60329E-02, 0.48169E-02, 0.65495E-01/
      DATA xt2/
     & 0.96557    , 0.15376E-02,-0.33930E-01,-0.68185E-01,-0.23615,
     & 0.15376E-02, 0.10873E-02,-0.20253E-02,-0.14660E-02,-0.52212E-03,
     &-0.33930E-01,-0.20253E-02, 0.14936E-01, 0.67820E-02, 0.60760E-02,
     &-0.68185E-01,-0.14660E-02, 0.67820E-02, 0.30116E-01, 0.46295E-02,
     &-0.23615    ,-0.52212E-03, 0.60760E-02, 0.46295E-02, 0.64436E-01,
     & 0.97016    , 0.12448E-02,-0.34465E-01,-0.67502E-01,-0.23743,
     & 0.12448E-02, 0.11045E-02,-0.19708E-02,-0.14807E-02,-0.46438E-03,
     &-0.34465E-01,-0.19708E-02, 0.14805E-01, 0.67019E-02, 0.62288E-02,
     &-0.67502E-01,-0.14807E-02, 0.67019E-02, 0.29945E-01, 0.45642E-02,
     &-0.23743    ,-0.46438E-03, 0.62288E-02, 0.45642E-02, 0.64759E-01,
     & 0.99042    , 0.10195E-02,-0.35497E-01,-0.68041E-01,-0.24254,
     & 0.10195E-02, 0.11381E-02,-0.19559E-02,-0.15182E-02,-0.42469E-03,
     &-0.35497E-01,-0.19559E-02, 0.14931E-01, 0.67415E-02, 0.64653E-02,
     &-0.68041E-01,-0.15182E-02, 0.67415E-02, 0.30292E-01, 0.45886E-02,
     &-0.24254    ,-0.42469E-03, 0.64653E-02, 0.45886E-02, 0.66133E-01,
     &  1.0359    , 0.79563E-03,-0.37457E-01,-0.70188E-01,-0.25388,
     & 0.79563E-03, 0.12025E-02,-0.19831E-02,-0.15961E-02,-0.39189E-03,
     &-0.37457E-01,-0.19831E-02, 0.15401E-01, 0.69352E-02, 0.68798E-02,
     &-0.70188E-01,-0.15961E-02, 0.69352E-02, 0.31371E-01, 0.47223E-02,
     &-0.25388    ,-0.39189E-03, 0.68798E-02, 0.47223E-02, 0.69206E-01/
c xxxxx
c When jwarn is 1, only write out warnings
        if(jwarn.eq.1)then
          IF (area.gt.amx.or.area.lt.amn)then
            WRITE (*,9101)amn,amx
            WRITE (16,9101)amn,amx
          END IF
          IF (lake.gt.lmx.or.lake.lt.lmn)then
            WRITE (*,9102)lmn,lmx
            WRITE (16,9102)lmn,lmx
          END IF
          IF (fore.gt.fmx.or.fore.lt.fmn)then
            WRITE (*,9103)fmn,fmx
            WRITE (16,9103)fmn,fmx
          END IF
          IF (elev.gt.emx.or.elev.lt.emn)then
            WRITE (*,9104)emn,emx
            WRITE (16,9104)emn,emx
          END IF
          return
        end if
        if (k.eq.0)then
c yyyyy

        PRINT *, ' ENTER watershed characteristics for site'
        PRINT *, ' Drainage area (sq. mi.) = '
        READ (*,*) area
        PRINT *, ' Percent of area in Lakes and Ponds = '
        READ (*,*) lake
        PRINT *, ' Percent Forest cover = '
        READ (*,*) fore
        PRINT *, ' Basin Elevation (ft.) = '
        READ (*,*) elev
        WRITE (*,9010) Site, area,lake,fore,elev
        WRITE (16,9010) Site, area,lake,fore,elev
c xxxxxx
        end if
        if(k.gt.0)then
          if(area.lt.0.0)then
            PRINT *, ' ENTER Drainage area (sq. mi.) '
            READ (*,*) area
          end if
          if(lake.lt.0.0)then
            PRINT *, ' ENTER Percent of area in Lakes and Ponds '
            READ (*,*) lake
          end if
          if(fore.lt.0.0)then
            PRINT *, ' ENTER Percent Forest cover '
            READ (*,*) fore
          end if
          if(elev.lt.-90.)then
            PRINT *, ' ENTER Basin Elevation (ft.)  '
            READ (*,*) elev
          end if
        end if
c yyyyyyy

        v(1,1) = 1.0
        v(1,2) = ALOG10(area)
        v(1,3) = ALOG10(lake+1.0)
        v(1,4) = ALOG10(fore+1.0)
        v(1,5) = ALOG10(elev)
        vt(1,1) = 1.0
        vt(2,1) = v(1,2)
        vt(3,1) = v(1,3)
        vt(4,1) = v(1,4)
        vt(5,1) = v(1,5)
c        iwarn = 0
        DO 30 ip = 1,8
          yhat = bs(1,ip)+bs(2,ip)*v(1,2)+bs(3,ip)*v(1,3) +
     &        bs(4,ip)*v(1,4)+bs(5,ip)*v(1,5)
c xxxxx
          if(k.gt.0)qhat(ip,k)=yhat
c yyyyy
          yhat = 10**yhat
c
c Compute CI
c
          DO 20 i = 1, 5
            DO 10 j = 1, 5
              IF (ip.LE.4) THEN
                xtxi(i,j) = xt1(i,j,ip)
              ELSE
                xtxi(i,j) = xt2(i,j,ip-4)
              ENDIF
   10     CONTINUE
   20   CONTINUE
          CALL MLTPLY(temp,v,xtxi,1,5,5,1,1,5)
          CALL MLTPLY(temp2,temp,vt,1,5,1,1,1,5)
          vpi = vmodel(ip) + temp2(1,1)
c Regional estimate of sigma and eq years
        sig=exp(-1.18511 - 0.2266*alog10(area))
c xxxxx
        if(k.gt.0)then
          vp(ip,k)=vpi
          sigma(k)=sig
        end if
        if(k.eq.0)then
c yyyyy
        CALL EYEARS(sig,ak(ip),skew,vpi,eqyrs)
c
c         sepc = 100.*SQRT(EXP(vpi*5.302)-1.)
          sei=SQRT(vpi)
          seplus=100.*((10**sei)-1.)
          semnus=100.*((1.0/10**sei)-1.)
          t = 10**(stut*vpi**.5)
          cu = yhat*t
          cl = yhat/t
          CALL ROUND(yhat)
          CALL ROUND(cu)
          CALL ROUND(cl)
          WRITE (16,9020) it(ip), yhat, seplus,semnus,  cl, cu,eqyrs
          WRITE (*,9020) it(ip), yhat, seplus,semnus,  cl, cu,eqyrs
c xxxxxx
        end if
c yyyyyyy
   30 CONTINUE
      if (k.eq.0)then
          IF (area.gt.amx.or.area.lt.amn)then
            WRITE (*,9101)amn,amx
            WRITE (16,9101)amn,amx
          END IF
          IF (lake.gt.lmx.or.lake.lt.lmn)then
            WRITE (*,9102)lmn,lmx
            WRITE (16,9102)lmn,lmx
          END IF
          IF (fore.gt.fmx.or.fore.lt.fmn)then
            WRITE (*,9103)fmn,fmx
            WRITE (16,9103)fmn,fmx
          END IF
          IF (elev.gt.emx.or.elev.lt.emn)then
            WRITE (*,9104)emn,emx
            WRITE (16,9104)emn,emx
          END IF
      end if
 9101 FORMAT(' WARNING - Drainage area out of range of observed data',
     &/,' Range: ' f7.2,' to ',f9.0,' for Region 5')       
 9102 FORMAT(' WARNING - Lakes+Ponds out of range of observed data',
     &/,' Range: ' f7.2,' to ',f7.2,' for Region 5')
 9103 FORMAT(' WARNING - Forest cover out of range of observed data',
     &/,' Range: ' f7.2,' to ',f7.2,' for Region 5')
 9104 FORMAT(' WARNING - Elevation out of range of observed data', 
     &/,' Range: ' f7.2,' to ',f8.0,' for Region 5')
      RETURN
 9010 FORMAT (//,' Flood frequency estimates for',/,' Site: ',a32,/,
     &        ' Region 5',/,
     & ' Drainage area,in square miles:',t55,f12.2,/,
     & ' Percent of area in lakes and ponds: ',t55,f12.1,/,
     & ' Forest cover, in percent: ',t55,f12.1,/,
     & ' Elevation, in feet: ',t55,f12.1,//,
     &        '    T     DISCHARGE    SE (+%)     SE(-%)     CON',
     &        'FIDENCE LIMITS   EQ. YEARS',/,t12,' (cfs)',t50,'5%',
     &        t61,'95%')
 9020 FORMAT (2x,i4,f12.0,f11.1,f11.1,f12.0,f12.0,f10.1)
        END
      SUBROUTINE REG6(k,jwarn)
c
c subroutine makes computations for region 6
c  and outputs results if basin is all in one region
c  or passes results to regout if basin is in two regions
c 
      REAL amn,amx,lmn,lmx,fmn,fmx
      INTEGER i, ip, jwarn,k, j
      CHARACTER*32 Site
      include 'split.cmn'
      COMMON /SS    / Site
      INTEGER it
      REAL bs, v, vt, xtxi, temp, temp2, stut, vmodel,
     &     yhat, t, cu, cl, vpi,  xt1, xt2, ak,
     &     seplus,semnus,sei
c
      DIMENSION it(8), bs(4,8), v(1,4), vt(4,1), xt1(4,4,4), xtxi(4,4),
     &          temp(1,4), temp2(1,1), ak(8), vmodel(8),
     &          xt2(4,4,4)
c
      DATA stut/1.67/
      DATA it/2, 5, 10, 25, 50, 100, 200, 500/
c
      DATA amn/1.29/, amx/321000./
      DATA lmn/0.0/, lmx/15./
      DATA fmn/0.0/,fmx/100.0/
      DATA skew/0.13/
c
      DATA ak/0.0, 0.84162, 1.28155, 1.75069, 2.05375, 2.32635,
     & 2.57583, 2.87816/
c
      DATA bs/1.72321,0.89290,-0.26760,-0.30760,
     &        1.94488,0.84790,-0.25960,-0.26480,
     &        2.06333,0.82530,-0.25790,-0.24430,
     &        2.18977,0.80260,-0.25850,-0.22430,
     &        2.27114,0.78850,-0.25990,-0.21240,
     &        2.34360,0.77640,-0.26160,-0.20230,
     &        2.40926,0.76560,-0.26360,-0.19350,
     &        2.48813,0.75300,-0.26620,-0.18330/
c
      DATA vmodel/0.27981E-01,0.29151E-01,0.32018E-01,
     & 0.36987E-01,0.41393E-01,0.46269E-01,0.51585E-01,
     & 0.59264E-01/
c
      DATA xt1/
     &  0.43415E-02,-0.29401E-03,-0.94147E-03,-0.18094E-02,
     & -0.29401E-03, 0.29302E-03,-0.63723E-03,-0.15684E-03,
     & -0.94147E-03,-0.63723E-03, 0.48646E-02, 0.66586E-03,
     & -0.18094E-02,-0.15684E-03, 0.66586E-03, 0.13279E-02,
     &  0.48885E-02,-0.32277E-03,-0.10440E-02,-0.20177E-02,
     & -0.32277E-03, 0.31501E-03,-0.69969E-03,-0.16551E-03,
     & -0.10440E-02,-0.69969E-03, 0.53494E-02, 0.71975E-03,
     & -0.20177E-02,-0.16551E-03, 0.71975E-03, 0.14581E-02,
     &  0.56697E-02,-0.36658E-03,-0.11866E-02,-0.23433E-02,
     & -0.36658E-03, 0.35669E-03,-0.80792E-03,-0.18669E-03,
     & -0.11866E-02,-0.80792E-03, 0.61555E-02, 0.81755E-03,
     & -0.23433E-02,-0.18669E-03, 0.81755E-03, 0.16815E-02,
     &  0.69036E-02,-0.43498E-03,-0.14191E-02,-0.28677E-02,
     & -0.43498E-03, 0.42557E-03,-0.98406E-03,-0.22322E-03,
     & -0.14191E-02,-0.98406E-03, 0.74597E-02, 0.98254E-03,
     & -0.28677E-02,-0.22322E-03, 0.98254E-03, 0.20462E-02/
      DATA xt2/
     &  0.79411E-02,-0.49144E-03,-0.16211E-02,-0.33137E-02,
     & -0.49144E-03, 0.48473E-03,-0.11342E-02,-0.25527E-03,
     & -0.16211E-02,-0.11342E-02, 0.85696E-02, 0.11271E-02,
     & -0.33137E-02,-0.25527E-03, 0.11271E-02, 0.23579E-02,
     &  0.90513E-02,-0.55083E-03,-0.18431E-02,-0.37947E-02,
     & -0.55083E-03, 0.54879E-03,-0.12962E-02,-0.29039E-03,
     & -0.18431E-02,-0.12962E-02, 0.97664E-02, 0.12861E-02,
     & -0.37947E-02,-0.29039E-03, 0.12861E-02, 0.26946E-02,
     &  0.10227E-01,-0.61266E-03,-0.20841E-02,-0.43076E-02,
     & -0.61266E-03, 0.61728E-03,-0.14689E-02,-0.32826E-03,
     & -0.20841E-02,-0.14689E-02, 0.11042E-01, 0.14584E-02,
     & -0.43076E-02,-0.32826E-03, 0.14584E-02, 0.30540E-02,
     &  0.11878E-01,-0.69773E-03,-0.24309E-02,-0.50325E-02,
     & -0.69773E-03, 0.71425E-03,-0.17128E-02,-0.38231E-03,
     & -0.24309E-02,-0.17128E-02, 0.12845E-01, 0.17056E-02,
     & -0.50325E-02,-0.38231E-03, 0.17056E-02, 0.35621E-02/
c xxxxx
c When jwarn is 1, only write out warnings
        if(jwarn.eq.1)then
          IF (area.gt.amx.or.area.lt.amn)then
            WRITE (*,9101)amn,amx
            WRITE (16,9101)amn,amx
          END IF
          IF (lake.gt.lmx.or.lake.lt.lmn)then
            WRITE (*,9102)lmn,lmx
            WRITE (16,9102)lmn,lmx
          END IF
          IF (fore.gt.fmx.or.fore.lt.fmn)then
            WRITE (*,9103)fmn,fmx
            WRITE (16,9103)fmn,fmx
          END IF
          return
        end if
        if (k.eq.0)then
c yyyyy

        PRINT *, ' ENTER watershed characteristics for site'
        PRINT *, ' Drainage area (sq. mi.) = '
        READ (*,*) area
        PRINT *, ' Percent of area in Lakes and Ponds = '
        READ (*,*) lake
        PRINT *, ' Percent forest area = '
        READ (*,*) fore
        WRITE (*,9010) Site, area,lake,fore
        WRITE (16,9010) Site, area,lake,fore
c xxxxxx
        end if
        if(k.gt.0)then
          if(area.lt.0.0)then
            PRINT *, ' ENTER Drainage area (sq. mi.) '
            READ (*,*) area
          end if
          if(lake.lt.0.0)then
            PRINT *, ' ENTER Percent of area in Lakes and Ponds '
            READ (*,*) lake
          end if
          if(fore.lt.0.0)then
            PRINT *, ' ENTER Percent of area in forest '
            READ (*,*) fore
          end if
        end if
c yyyyyyy

        v(1,1) = 1.0
        v(1,2) = ALOG10(area)
        v(1,3) = ALOG10(lake+1.0)
        v(1,4) = ALOG10(fore+1.0)
        vt(1,1) = 1.0
        vt(2,1) = v(1,2)
        vt(3,1) = v(1,3)
        vt(4,1) = v(1,4)
c        iwarn = 0
        DO 30 ip = 1,8
          yhat = bs(1,ip)+bs(2,ip)*v(1,2)+bs(3,ip)*v(1,3) +
     &        bs(4,ip)*v(1,4)
c xxxxx
          if(k.gt.0)qhat(ip,k)=yhat
c yyyyy
          yhat = 10**yhat
c
c Compute CI
c
          DO 20 i = 1, 4
            DO 10 j = 1, 4
              IF (ip.LE.4) THEN
                xtxi(i,j) = xt1(i,j,ip)

              ELSE
                xtxi(i,j) = xt2(i,j,ip-4)
              ENDIF
   10     CONTINUE
   20   CONTINUE
          CALL MLTPLY(temp,v,xtxi,1,4,4,1,1,4)
          CALL MLTPLY(temp2,temp,vt,1,4,1,1,1,4)
          vpi = vmodel(ip) + temp2(1,1)
c         sepc = 100.*SQRT(EXP(vpi*5.302)-1.)
c Regional estimate of sigma and eq years
        sig=exp(-1.03335 - 0.25810*alog10(area))
c xxxxx
        if(k.gt.0)then
          vp(ip,k)=vpi
          sigma(k)=sig
        end if
        if(k.eq.0)then
c yyyyy
        CALL EYEARS(sig,ak(ip),skew,vpi,eqyrs)
c
          sei=SQRT(vpi)
          seplus=100.*((10**sei)-1.)
          semnus=100.*((1.0/10**sei)-1.)
          t = 10**(stut*vpi**.5)
          cu = yhat*t
          cl = yhat/t
          CALL ROUND(yhat)
          CALL ROUND(cu)
          CALL ROUND(cl)
          WRITE (16,9020) it(ip), yhat, seplus,semnus,  cl, cu,eqyrs
          WRITE (*,9020) it(ip), yhat, seplus,semnus,  cl, cu,eqyrs
c xxxxxx
        end if
c yyyyyyy
   30 CONTINUE
      if(k.eq.0)then
          IF (area.gt.amx.or.area.lt.amn)then
            WRITE (*,9101)amn,amx
            WRITE (16,9101)amn,amx
          END IF
          IF (lake.gt.lmx.or.lake.lt.lmn)then
            WRITE (*,9102)lmn,lmx
            WRITE (16,9102)lmn,lmx
          END IF
          IF (fore.gt.fmx.or.fore.lt.fmn)then
            WRITE (*,9103)fmn,fmx
            WRITE (16,9103)fmn,fmx
          END IF
      end if
 9101 FORMAT(' WARNING - Drainage area out of range of observed data',
     &/,' Range: ' f7.2,' to ',f9.0,' for Region 6')       
 9102 FORMAT(' WARNING - Lakes+Ponds out of range of observed data',
     &/,' Range: ' f7.2,' to ',f7.2,' for Region 6')
 9103 FORMAT(' WARNING - Forest cover out of range of observed data',
     &/,' Range: ' f7.2,' to ',f7.2,' for Region 6')
      RETURN
 9010 FORMAT (//,' Flood frequency estimates for',/,' Site: ',a32,/,
     &        ' Region 6',/,
     & ' Drainage area,in square miles:',t55,f12.2,/,
     & ' Percent of area in lakes and ponds: ',t55,f12.1,/,
     & ' Forest cover, in percent: ',t55,f12.1,//,
     &        '    T     DISCHARGE    SE (+%)     SE(-%)     CON',
     &        'FIDENCE LIMITS   EQ. YEARS',/,t12,' (cfs)',t50,'5%',
     &        t61,'95%')
 9020 FORMAT (2x,i4,f12.0,f11.1,f11.1,f12.0,f12.0,f10.1)
        END
c
      SUBROUTINE REG7(k,jwarn)
c
c subroutine makes computations for region 7
c  and outputs results if basin is all in one region
c  or passes results to regout if basin is in two regions
c 
      REAL amn,amx
      INTEGER i, ip, jwarn,k, j
      CHARACTER*32 Site
      include 'split.cmn'
      COMMON /SS    / Site
      INTEGER it
      REAL bs, v, vt, xtxi, temp, temp2, stut, vmodel,
     &     yhat, t, cu, cl, vpi,  xt1, xt2, ak,
     &     seplus,semnus,sei
c
      DIMENSION it(8), bs(2,8), v(1,2), vt(2,1), xt1(2,2,4), xtxi(2,2),
     &          temp(1,2), temp2(1,1), ak(8), vmodel(8),
     &          xt2(2,2,4)
c
      DATA stut/1.67/
      DATA it/2, 5, 10, 25, 50, 100, 200, 500/
c
      DATA amn/1.13/, amx/9520./
      DATA skew/-0.52/
c
      DATA ak/0.0, 0.84162, 1.28155, 1.75069, 2.05375, 2.32635,
     & 2.57583, 2.87816/
c
      DATA bs/1.44824,0.89160,1.67678,0.86910,1.78533,0.85880,
     & 1.89393,0.84860,1.96042,0.84240,2.01787,0.83700,
     & 2.06856,0.83220,2.12775,0.82660/
c
      DATA vmodel/0.41007E-01,0.37861E-01,0.37420E-01,0.37916E-01,
     & 0.38863E-01,0.40211E-01,0.41910E-01,0.44635E-01/
c
      DATA xt1/
     &  0.62090E-02,-0.22143E-02,
     & -0.22143E-02, 0.11777E-02,
     &  0.58639E-02,-0.20905E-02,
     & -0.20905E-02, 0.11067E-02,
     &  0.60660E-02,-0.21512E-02,
     & -0.21512E-02, 0.11276E-02,
     &  0.65303E-02,-0.22990E-02,
     & -0.22990E-02, 0.11899E-02/
      DATA xt2/
     &  0.69639E-02,-0.24400E-02,
     & -0.24400E-02, 0.12528E-02,
     &  0.74462E-02,-0.25990E-02,
     & -0.25990E-02, 0.13258E-02,
     &  0.79675E-02,-0.27728E-02,
     & -0.27728E-02, 0.14072E-02,
     &  0.87068E-02,-0.30218E-02,
     & -0.30218E-02, 0.15262E-02/
c xxxxx
c When jwarn is 1, only write out warnings
        if(jwarn.eq.1)then
          IF (area.gt.amx.or.area.lt.amn)then
            WRITE (*,9101)amn,amx
            WRITE (16,9101)amn,amx
          END IF
        return
        end if
        if (k.eq.0)then
c yyyyy

        PRINT *, ' ENTER watershed characteristics for site'
        PRINT *, ' Drainage area (sq. mi.) = '
        READ (*,*) area
        WRITE (*,9010) Site, area
        WRITE (16,9010) Site, area
c xxxxxx
        end if
        if(k.gt.0)then
          if(area.lt.0.0)then
            PRINT *, ' ENTER Drainage area (sq. mi.) '
            READ (*,*) area
          end if
        end if
c yyyyyyy

        v(1,1) = 1.0
        v(1,2) = ALOG10(area)
c       v(1,3) = ALOG10(lake+1.0)
c       v(1,4) = ALOG10(fore+1.0)
        vt(1,1) = 1.0
        vt(2,1) = v(1,2)
c       vt(3,1) = v(1,3)
c       vt(4,1) = v(1,4)
c        iwarn = 0
        DO 30 ip = 1,8
          yhat = bs(1,ip)+bs(2,ip)*v(1,2)
c xxxxx
          if(k.gt.0)qhat(ip,k)=yhat
c yyyyy
          yhat = 10**yhat
c
c Compute CI
c
          DO 20 i = 1, 2
            DO 10 j = 1, 2
              IF (ip.LE.4) THEN
                xtxi(i,j) = xt1(i,j,ip)

              ELSE
                xtxi(i,j) = xt2(i,j,ip-4)
              ENDIF
   10     CONTINUE
   20   CONTINUE
          CALL MLTPLY(temp,v,xtxi,1,2,2,1,1,2)
          CALL MLTPLY(temp2,temp,vt,1,2,1,1,1,2)
          vpi = vmodel(ip) + temp2(1,1)
c         sepc = 100.*SQRT(EXP(vpi*5.302)-1.)
c Regional estimate of sigma and eq years
        sig=exp(-1.21874 - 0.13295*alog10(area))
c xxxxx
        if(k.gt.0)then
          vp(ip,k)=vpi
          sigma(k)=sig
        end if
        if(k.eq.0)then
c yyyyy
        CALL EYEARS(sig,ak(ip),skew,vpi,eqyrs)
c
          sei=SQRT(vpi)
          seplus=100.*((10**sei)-1.)
          semnus=100.*((1.0/10**sei)-1.)
          t = 10**(stut*vpi**.5)
          cu = yhat*t
          cl = yhat/t
          CALL ROUND(yhat)
          CALL ROUND(cu)
          CALL ROUND(cl)
          WRITE (16,9020) it(ip), yhat, seplus,semnus,  cl, cu,eqyrs
          WRITE (*,9020) it(ip), yhat, seplus,semnus,  cl, cu,eqyrs
c xxxxxx
        end if
c yyyyyyy
   30 CONTINUE
      if (k.eq.0)then
          IF (area.gt.amx.or.area.lt.amn)then
            WRITE (*,9101)amn,amx
            WRITE (16,9101)amn,amx
          END IF
      end if
 9101 FORMAT(' WARNING - Drainage area out of range of observed data',
     &/,' Range: ' f7.2,' to ',f7.2,' for Region 7')
      RETURN
 9010 FORMAT (//,' Flood frequency estimates for',/,' Site: ',a32,/,
     &        ' Region 7',/,
     & ' Drainage area,in square miles:',t55,f12.2,//,
     &        '    T     DISCHARGE    SE (+%)     SE(-%)     CON',
     &        'FIDENCE LIMITS   EQ. YEARS',/,t12,' (cfs)',t50,'5%',
     &        t61,'95%')
 9020 FORMAT (2x,i4,f12.0,f11.1,f11.1,f12.0,f12.0,f10.1)
        END
c
